
Redmine Test - Bug #3287

redmine dreadfully slow

2012-10-01 21:07 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

it's consistently taking 10-15 seconds to open an issue, making it difficult to use. 

Other views don't seem to be as slow, such as opening up the Backlogs sprint list (

https://redmine.dataone.org/rb/master_backlogs/d1#)

do we do any load balancing?

http://posterous.adambard.com/why-is-redmine-so-slow

History

#1 - 2012-10-01 21:12 - Rob Nahf

- Category set to Support Operations

- Assignee set to Dave Vieglais

#2 - 2012-10-01 21:53 - Dave Vieglais

- Status changed from New to In Progress

No load balancing is done, nor should it be necessary.

VM has 4 CPUs and 32GB RAM.

When accessing a ticket on the DataONE project, CPUs get pegged at 100%.

Investigating which component might be causing the problem.

#3 - 2012-10-02 01:07 - Dave Vieglais

- Target version deleted (Sprint-2012.39-Block.5.4)

- Project changed from Infrastructure to Operations

- Category deleted (Support Operations)

#4 - 2012-10-02 03:07 - Dave Vieglais

Blocked some crawlers for now by setting the following in default-ssl apache config:

<Directory /var/www/redmine>

SetEnvIfNoCase User-Agent "^Baiduspider" bad_bots

SetEnvIfNoCase User-Agent "^Sogou" bad_bots

SetEnvIfNoCase User-Agent "^gsa-crawler" bad_bots

SetEnvIf Remote_Addr "212\.100\.254\.105" bad_bot

deny from env=bad_bots
#5 - 2012-10-02 03:21 - Dave Vieglais

Mysql queries are completing within a second, so it appears that the slow processing is within the redmine scripts.

Perhaps it's processing access control?

#6 - 2012-10-02 03:38 - Dave Vieglais

- Project changed from Operations to Redmine Test

#7 - 2012-10-02 18:54 - Dave Vieglais

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

Upgraded redmine and associated plugins to redmine version 1.4.2 and backlogs 0.9.26

Seems to have resolved the issue, but some chaff appearing on the backlogs page that will be checked into.
